<?xml version="1.0" encoding="UTF-8"?>
<CONFIG>
  <ProjectOptions>
    <Version Value="11"/>
    <PathDelim Value="\"/>
    <General>
      <MainUnit Value="0"/>
      <Title Value="uFrAdvanced"/>
      <UseXPManifest Value="True"/>
      <Icon Value="0"/>
      <ActiveWindowIndexAtStart Value="-1"/>
    </General>
    <VersionInfo>
      <UseVersionInfo Value="True"/>
      <MajorVersionNr Value="2"/>
      <StringTable FileDescription="Support for Mifare 4k card "/>
    </VersionInfo>
    <BuildModes Count="1">
      <Item1 Name="default" Default="True"/>
    </BuildModes>
    <PublishOptions>
      <Version Value="2"/>
    </PublishOptions>
    <RunParams>
      <FormatVersion Value="2"/>
      <Modes Count="1">
        <Mode0 Name="default">
          <local>
            <LaunchingApplication PathPlusParams="/usr/X11R6/bin/xterm -T 'Lazarus Run Output' -e $(LazarusDir)/tools/runwait.sh $(TargetCmdLine)"/>
          </local>
        </Mode0>
      </Modes>
    </RunParams>
    <RequiredPackages Count="1">
      <Item1>
        <PackageName Value="LCL"/>
      </Item1>
    </RequiredPackages>
    <Units Count="38">
      <Unit0>
        <Filename Value="uFrAdvanced.pas"/>
        <IsPartOfProject Value="True"/>
        <EditorIndex Value="-1"/>
        <TopLine Value="7"/>
        <CursorPos X="92" Y="15"/>
        <UsageCount Value="200"/>
      </Unit0>
      <Unit1>
        <Filename Value="ufradvancedunit.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="frmuFrAdvanced"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <UnitName Value="uFrAdvancedUnit"/>
        <EditorIndex Value="-1"/>
        <TopLine Value="557"/>
        <CursorPos X="133" Y="559"/>
        <UsageCount Value="200"/>
        <Bookmarks Count="2">
          <Item0 X="4" Y="335"/>
          <Item1 X="6" Y="402" ID="1"/>
        </Bookmarks>
      </Unit1>
      <Unit2>
        <Filename Value="Global.pas"/>
        <IsPartOfProject Value="True"/>
        <CursorPos X="40" Y="29"/>
        <UsageCount Value="200"/>
      </Unit2>
      <Unit3>
        <Filename Value="ufcoder.pas"/>
        <IsPartOfProject Value="True"/>
        <EditorIndex Value="-1"/>
        <TopLine Value="633"/>
        <CursorPos X="5" Y="645"/>
        <UsageCount Value="200"/>
      </Unit3>
      <Unit4>
        <Filename Value="E:\lazarus\lcl\include\control.inc"/>
        <TopLine Value="2628"/>
        <CursorPos Y="2644"/>
        <UsageCount Value="3"/>
      </Unit4>
      <Unit5>
        <Filename Value="LinearReadWrite.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="frmLinearReadWrite"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <EditorIndex Value="-1"/>
        <WindowIndex Value="-1"/>
        <TopLine Value="255"/>
        <CursorPos X="26" Y="261"/>
        <ExtraEditorCount Value="1"/>
        <ExtraEditor1>
          <IsVisibleTab Value="True"/>
          <EditorIndex Value="-1"/>
          <TopLine Value="397"/>
          <CursorPos X="77" Y="406"/>
        </ExtraEditor1>
        <UsageCount Value="200"/>
      </Unit5>
      <Unit6>
        <Filename Value="BlockReadWrite.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="frmBlockReadWrite"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <EditorIndex Value="-1"/>
        <TopLine Value="611"/>
        <CursorPos X="32" Y="628"/>
        <UsageCount Value="200"/>
      </Unit6>
      <Unit7>
        <Filename Value="BlockInSectorReadWrite.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="frmBlockInSectorReadWrite"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <EditorIndex Value="-1"/>
        <TopLine Value="342"/>
        <CursorPos X="41" Y="358"/>
        <UsageCount Value="202"/>
      </Unit7>
      <Unit8>
        <Filename Value="ReaderKeysLockUnlock.pas"/>
        <ComponentName Value="frmReaderKeysLockUnlock"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <EditorIndex Value="-1"/>
        <TopLine Value="67"/>
        <UsageCount Value="100"/>
      </Unit8>
      <Unit9>
        <Filename Value="ValueBlockReadWrite.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="frmValueBlockReadWrite"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <CursorPos X="41" Y="584"/>
        <UsageCount Value="201"/>
      </Unit9>
      <Unit10>
        <Filename Value="C:\lazarus\lcl\include\control.inc"/>
        <TopLine Value="2761"/>
        <CursorPos Y="2773"/>
        <UsageCount Value="9"/>
      </Unit10>
      <Unit11>
        <Filename Value="C:\lazarus\lcl\include\customform.inc"/>
        <TopLine Value="1808"/>
        <CursorPos Y="1810"/>
        <UsageCount Value="8"/>
      </Unit11>
      <Unit12>
        <Filename Value="ValueBlockIncrDecr.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="frmValueBlockIncrementDecrement"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <CursorPos X="37" Y="522"/>
        <UsageCount Value="205"/>
      </Unit12>
      <Unit13>
        <Filename Value="C:\lazarus\lcl\forms.pp"/>
        <UnitName Value="Forms"/>
        <TopLine Value="1714"/>
        <CursorPos X="14" Y="687"/>
        <UsageCount Value="1"/>
      </Unit13>
      <Unit14>
        <Filename Value="C:\lazarus\lcl\stdctrls.pp"/>
        <UnitName Value="StdCtrls"/>
        <TopLine Value="850"/>
        <CursorPos X="14" Y="866"/>
        <UsageCount Value="1"/>
      </Unit14>
      <Unit15>
        <Filename Value="ValueBlockInSectorIncrDecr.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="frmValueBlockInSectorIncrDecr"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <CursorPos X="42" Y="612"/>
        <UsageCount Value="201"/>
      </Unit15>
      <Unit16>
        <Filename Value="ValueBlockInSectorReadWrite.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="frmValueBlockInSectorReadWrite"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <CursorPos X="42" Y="668"/>
        <UsageCount Value="200"/>
      </Unit16>
      <Unit17>
        <Filename Value="SectorTrailersWrite.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="frmSectorTrailerWrite"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <CursorPos X="10" Y="10"/>
        <UsageCount Value="200"/>
      </Unit17>
      <Unit18>
        <Filename Value="FormatCard.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="frmLinearFormatCard"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <EditorIndex Value="-1"/>
        <TopLine Value="232"/>
        <CursorPos X="89" Y="233"/>
        <UsageCount Value="201"/>
      </Unit18>
      <Unit19>
        <Filename Value="ViewAll.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="frmViewAll"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <CursorPos X="25" Y="84"/>
        <UsageCount Value="200"/>
      </Unit19>
      <Unit20>
        <Filename Value="C:\lazarus\lcl\grids.pas"/>
        <UnitName Value="Grids"/>
        <TopLine Value="8905"/>
        <CursorPos X="34" Y="8908"/>
        <UsageCount Value="11"/>
      </Unit20>
      <Unit21>
        <Filename Value="C:\lazarus\lcl\interfaces\win32\win32wscontrols.pp"/>
        <UnitName Value="Win32WSControls"/>
        <TopLine Value="213"/>
        <CursorPos Y="224"/>
        <UsageCount Value="8"/>
      </Unit21>
      <Unit22>
        <Filename Value="C:\lazarus\components\daemon\lazdaemon.pas"/>
        <UsageCount Value="8"/>
      </Unit22>
      <Unit23>
        <Filename Value="C:\lazarus\components\daemon\NewPackage.pas"/>
        <CursorPos X="48" Y="16"/>
        <UsageCount Value="8"/>
      </Unit23>
      <Unit24>
        <Filename Value="ValueBlockReadWrite.lfm"/>
        <EditorIndex Value="-1"/>
        <CursorPos X="113" Y="6"/>
        <UsageCount Value="10"/>
        <DefaultSyntaxHighlighter Value="LFM"/>
      </Unit24>
      <Unit25>
        <Filename Value="Mifare.lfm"/>
        <UsageCount Value="3"/>
        <DefaultSyntaxHighlighter Value="LFM"/>
      </Unit25>
      <Unit26>
        <Filename Value="C:\lazarus\lcl\dynamicarray.pas"/>
        <UnitName Value="DynamicArray"/>
        <TopLine Value="149"/>
        <CursorPos Y="162"/>
        <UsageCount Value="8"/>
      </Unit26>
      <Unit27>
        <Filename Value="ufradvancedunit.lfm"/>
        <EditorIndex Value="-1"/>
        <CursorPos X="46" Y="6"/>
        <UsageCount Value="10"/>
        <DefaultSyntaxHighlighter Value="LFM"/>
      </Unit27>
      <Unit28>
        <Filename Value="BlockInSectorReadWrite.lfm"/>
        <EditorIndex Value="-1"/>
        <UsageCount Value="10"/>
        <DefaultSyntaxHighlighter Value="LFM"/>
      </Unit28>
      <Unit29>
        <Filename Value="BlockReadWrite.lfm"/>
        <EditorIndex Value="-1"/>
        <UsageCount Value="10"/>
        <DefaultSyntaxHighlighter Value="LFM"/>
      </Unit29>
      <Unit30>
        <Filename Value="FormatCard.lfm"/>
        <EditorIndex Value="-1"/>
        <UsageCount Value="10"/>
        <DefaultSyntaxHighlighter Value="LFM"/>
      </Unit30>
      <Unit31>
        <Filename Value="LinearReadWrite.lfm"/>
        <EditorIndex Value="-1"/>
        <UsageCount Value="10"/>
        <DefaultSyntaxHighlighter Value="LFM"/>
      </Unit31>
      <Unit32>
        <Filename Value="ReaderKeysLockUnlock.lfm"/>
        <EditorIndex Value="-1"/>
        <UsageCount Value="10"/>
        <DefaultSyntaxHighlighter Value="LFM"/>
      </Unit32>
      <Unit33>
        <Filename Value="SectorTrailersWrite.lfm"/>
        <EditorIndex Value="-1"/>
        <CursorPos X="127" Y="8"/>
        <UsageCount Value="10"/>
        <DefaultSyntaxHighlighter Value="LFM"/>
      </Unit33>
      <Unit34>
        <Filename Value="ValueBlockIncrDecr.lfm"/>
        <EditorIndex Value="-1"/>
        <UsageCount Value="10"/>
        <DefaultSyntaxHighlighter Value="LFM"/>
      </Unit34>
      <Unit35>
        <Filename Value="ValueBlockInSectorIncrDecr.lfm"/>
        <EditorIndex Value="-1"/>
        <UsageCount Value="10"/>
        <DefaultSyntaxHighlighter Value="LFM"/>
      </Unit35>
      <Unit36>
        <Filename Value="ValueBlockInSectorReadWrite.lfm"/>
        <EditorIndex Value="-1"/>
        <UsageCount Value="10"/>
        <DefaultSyntaxHighlighter Value="LFM"/>
      </Unit36>
      <Unit37>
        <Filename Value="ViewAll.lfm"/>
        <EditorIndex Value="-1"/>
        <CursorPos X="118" Y="4"/>
        <UsageCount Value="10"/>
        <DefaultSyntaxHighlighter Value="LFM"/>
      </Unit37>
    </Units>
    <JumpHistory HistoryIndex="-1"/>
  </ProjectOptions>
  <CompilerOptions>
    <Version Value="11"/>
    <PathDelim Value="\"/>
    <SearchPaths>
      <IncludeFiles Value="$(ProjOutDir)"/>
      <OtherUnitFiles Value="$(LazarusDir)\lcl\units\$(TargetCPU)-$(TargetOS)"/>
      <SrcPath Value="$(LazarusDir)\lcl"/>
    </SearchPaths>
    <Parsing>
      <SyntaxOptions>
        <UseAnsiStrings Value="False"/>
      </SyntaxOptions>
    </Parsing>
    <Linking>
      <Debugging>
        <GenerateDebugInfo Value="False"/>
      </Debugging>
      <Options>
        <Win32>
          <GraphicApplication Value="True"/>
        </Win32>
      </Options>
    </Linking>
  </CompilerOptions>
  <Debugging>
    <BreakPoints Count="2">
      <Item1>
        <Kind Value="bpkSource"/>
        <WatchScope Value="wpsLocal"/>
        <WatchKind Value="wpkWrite"/>
        <Source Value="LinearReadWrite.pas"/>
        <Line Value="161"/>
      </Item1>
      <Item2>
        <Kind Value="bpkSource"/>
        <WatchScope Value="wpsLocal"/>
        <WatchKind Value="wpkWrite"/>
        <Source Value="LinearReadWrite.pas"/>
        <Line Value="150"/>
      </Item2>
    </BreakPoints>
    <Watches Count="1">
      <Item1>
        <Expression Value="check_box"/>
      </Item1>
    </Watches>
    <Exceptions Count="3">
      <Item1>
        <Name Value="EAbort"/>
      </Item1>
      <Item2>
        <Name Value="ECodetoolError"/>
      </Item2>
      <Item3>
        <Name Value="EFOpenError"/>
      </Item3>
    </Exceptions>
  </Debugging>
</CONFIG>
